# @best-shot/preset-babel

Best-shot preset for Babel compiler.

[npm-url]: https://www.npmjs.com/package/@best-shot/preset-babel
[npm-badge]: https://img.shields.io/npm/v/@best-shot/preset-babel.svg?style=flat-square&logo=npm
[node-badge]: https://img.shields.io/node/v/@best-shot/preset-babel.svg?style=flat-square&colorB=green&logo=node.js
[license-badge]: https://img.shields.io/npm/l/@best-shot/preset-babel.svg?style=flat-square&colorB=blue&logo=github

[![npm][npm-badge]][npm-url]
![license][license-badge]
![node][node-badge]

This preset includes the following packages:

- @babel/core
- @babel/preset-env
- @babel/plugin-proposal-class-properties
- @babel/plugin-proposal-decorators
- @babel/plugin-proposal-export-namespace-from
- @babel/plugin-proposal-numeric-separator
- @babel/plugin-syntax-dynamic-import
- @babel/plugin-syntax-import-meta
- regenerator-runtime
- babel-loader

## Installation

```bash
npm install @best-shot/preset-babel --save-dev
```

Then specify core-js@3 as a top level dependency

```bash
npm install core-js@3 --save
```

## Usage

```js
// best-shot.config.js
module.exports = {
  presets: [..., 'babel'],
  ...
};
```

## Options

polyfill

Same as `options.useBuiltIns` of `babel/preset-env`.

Document: <https://babeljs.io/docs/en/babel-preset-env#usebuiltins>
